Submit flight manifest
curl --request POST \
--url https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights/{id}/manifests \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flightId": "QR001-20240101",
"awbNumbers": [
"15712345678",
"15712345679"
],
"totalPieces": 20,
"totalWeight": 1000,
"totalVolume": 15
}
'import requests
url = "https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights/{id}/manifests"
payload = {
"flightId": "QR001-20240101",
"awbNumbers": ["15712345678", "15712345679"],
"totalPieces": 20,
"totalWeight": 1000,
"totalVolume": 15
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flightId: 'QR001-20240101',
awbNumbers: ['15712345678', '15712345679'],
totalPieces: 20,
totalWeight: 1000,
totalVolume: 15
})
};
fetch('https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights/{id}/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"manifestId": "manifest-123",
"flightId": "QR001-20240101",
"status": "submitted"
}Operational Events & Manifests
Submit Flight Manifest
Submit flight manifest with FFM/XFFM data
POST
/
api
/
flights
/
{id}
/
manifests
Submit flight manifest
Submit flight manifest with FFM/XFFM data.
Reference Documentation
For more information on flight manifest creation with FFM, please refer to:
- Pages 221-222 of “Functional_Requirements_V18 FINAL”: https://belli.sg/4nxxCDR
Authorizations
ApiKeyAuthApiKeyHeader
Path Parameters
Flight ID
Body
application/json
⌘I